Class | Bio::KEGG::KGML::Relation
In: | lib/bio/db/kegg/kgml.rb
Parent: | Object

Bio::KEGG::KGML::Relation contains a relation element in the KGML.

### Methods

edge

### External Aliases

entry1 | -> | node1
entry1= | -> | node1=
entry2 | -> | node2
entry2= | -> | node2=
type | -> | rel
type= | -> | rel=

### Attributes

entry1 | [RW] | the first entry of the relation (Integer or nil) (‘entry1’ attribute in ‘relation’ element)
entry2 | [RW] | the second entry of the relation (Integer or nil) (‘entry2’ attribute in ‘relation’ element)
name | [RW] | interaction and/or relation type (String or nil). See www.genome.jp/kegg/xml/docs/ for details. (‘name’ attribute in ‘subtype’ element)

type

[RW]

type of this relation (String or nil). Normally one of the following:

- "ECrel"
- "PPrel"
- "GErel"
- "PCrel"
- "maplink"

(‘type’ attribute in ‘relation’ element)

value | [RW] | interaction and/or relation information (String or nil). See www.genome.jp/kegg/xml/docs/ for details. (‘value’ attribute in ‘subtype’ element)

### Public Instance methods

edge()

(Deprecated?)

[Source]

         # File lib/bio/db/kegg/kgml.rb, line 465
    465:     def edge
    466:       @value.to_i
    467:     end

[Validate]